Main Page | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# OfxBankTransactionContainer Class Reference

Inheritance diagram for OfxBankTransactionContainer:

## Detailed Description

Represents a bank or credid card transaction.

Built from <stmttrn> OFX SGML entity

Definition at line 212 of file ofx_containers.hh.

## Public Member Functions
| OfxBankTransactionContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
void | add_attribute (const string identifier, const string value)
| Add data to a container object.
| OfxBankTransactionContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
void | add_attribute (const string identifier, const string value)
| Add data to a container object.

## Member Function Documentation

void OfxBankTransactionContainer::add_attribute | ( | const string | identifier,
|  | const string | value
| ) | `[virtual]`

  | Add data to a container object. Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. Parameters:
  | identifier | The name of the data element
  | value | The concatenated string of the data
Reimplemented from OfxTransactionContainer.

void OfxBankTransactionContainer::add_attribute | ( | const string | identifier,
|  | const string | value
| ) | `[virtual]`

  | Add data to a container object. Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. Parameters:
  | identifier | The name of the data element
  | value | The concatenated string of the data
Reimplemented from OfxTransactionContainer. Definition at line 161 of file ofx_container_transaction.cpp.

The documentation for this class was generated from the following files:

- ofx_containers.hh
- fx-0.8.0/lib/ofx_containers.hh
- ofx_container_transaction.cpp
- fx-0.8.0/lib/ofx_container_transaction.cpp